<mat-toolbar matDialogTitle class="{{secondColorBrand}} m-0">
    <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
        <span class="title dialog-title h1">Editar Fornecedor</span>
    </mat-toolbar-row>
</mat-toolbar>
<br>
<mat-dialog-content>

    <form [formGroup]="supplierForm" (ngSubmit)="updateSupplier(supplierForm.value)" novalidate>
      
      <div class="panel">
          <div class="panel-title">
            <span><mat-icon>assignment_ind</mat-icon></span>
            <span>&nbsp;Dados Cadastrais</span>
          </div>
          <div class="panel-content">

            <div fxLayout="row" fxLayoutAlign="start center">
              <div fxFlex>
                <mat-button-toggle-group  formControlName="personType">
                  <mat-button-toggle value="COMPANY" matTooltip="Pessoa Jurídica">
                      <mat-icon>business</mat-icon>
                  </mat-button-toggle>                  
                  <mat-button-toggle value="PERSON" matTooltip="Pessoa Física">
                      <mat-icon>person</mat-icon>
                  </mat-button-toggle>
                </mat-button-toggle-group>
              </div>
            </div>
            
            <br>

            <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                <mat-form-field fxFlex="100">
                  <input matInput placeholder="Nome" required formControlName="companyName">
                  <mat-error *ngIf="supplierForm.get('companyName').hasError('required')">
                    Por favor, informe o nome
                  </mat-error>
                </mat-form-field>
            </div>

            <div [hidden]="supplierForm.value.personType == 'PERSON'" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                <mat-form-field fxFlex="100">
                  <input matInput placeholder="Razão Social" formControlName="tradingName" [required]="supplierForm.value.personType == 'COMPANY'">
                  <mat-error *ngIf="supplierForm.get('tradingName').hasError('required')">
                    Por favor, informe a Razão Social 
                  </mat-error>
                </mat-form-field>
            </div>              

            <div [hidden]="supplierForm.value.personType == 'PERSON'" fxLayout="row" fxLayoutAlign="start center">
              <mat-form-field fxFlex="100">
                <input matInput placeholder="CNPJ" formControlName="registrationNumber" [textMask]="{mask: cnpjMask}" [required]="supplierForm.value.personType == 'COMPANY'">
                <mat-error *ngIf="supplierForm.get('registrationNumber').hasError('required')">
                  Por favor, informe o CNPJ
                </mat-error>
              </mat-form-field>
            </div>

            <div [hidden]="supplierForm.value.personType == 'COMPANY'" fxLayout="row" fxLayoutAlign="start center">
              <mat-form-field fxFlex="100">
                <input matInput placeholder="CPF" formControlName="registrationNumber" [textMask]="{mask: cpfMask}" [required]="supplierForm.value.personType == 'PERSON'">
                <mat-error *ngIf="supplierForm.get('registrationNumber').hasError('required')">
                  Por favor, informe o CPF
                </mat-error>
              </mat-form-field>
            </div>

            <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                <mat-form-field fxFlex="100">
                  <input matInput placeholder="Contato" required formControlName="contactPerson">
                  <mat-error *ngIf="supplierForm.get('contactPerson').hasError('required')">
                    Por favor, informe o Contato
                  </mat-error>
                </mat-form-field>
            </div>           

            <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                <mat-form-field fxFlex="50">
                  <input matInput placeholder="E-mail" required formControlName="email">
                  <mat-error *ngIf="supplierForm.get('email').hasError('required')">
                    Por favor, informe o e-mail
                  </mat-error>
                  <mat-error *ngIf="!supplierForm.get('email').hasError('required') && supplierForm.get('email').hasError('email')">
                    Por favor, informe um e-mail válido
                  </mat-error>
                </mat-form-field>

                <mat-form-field fxFlex="50">
                  <input matInput [textMask]="{mask: phoneMask}" placeholder="Telefone" required formControlName="phone">
                  <mat-error *ngIf="supplierForm.get('phone').hasError('required')">
                    Por favor, informe o telefone
                  </mat-error>
                </mat-form-field>                
            </div>
            
            <div fxLayout="row" fxLayoutAlign="start center">
                <mat-form-field fxFlex="100">
                  <input matInput placeholder="Endereço" required formControlName="address">
                  <mat-error *ngIf="supplierForm.get('address').hasError('required')">
                    Por favor, informe o Endereço
                  </mat-error>
                </mat-form-field>
            </div>

          </div>
          <!-- end panel content -->

      </div>
      <!-- end panel -->
        
      <div class="panel">
          <div class="panel-title">
            <span><mat-icon>attach_money</mat-icon></span>
            <span>&nbsp;Dados Pagamento</span>
          </div>
          <div class="panel-content">

            <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
             
              <mat-form-field fxFlex="60">
                <mat-select placeholder="Banco" formControlName="bankCode">
                  <mat-option *ngFor="let bank of bankList" [value]="bank.key">
                    {{ bank.value }}
                  </mat-option>
                </mat-select>
                <mat-error *ngIf="supplierForm.get('bankCode').hasError('required')">
                  Por favor, selecione o Banco
                </mat-error>
              </mat-form-field>

              <mat-form-field fxFlex="15">
                <input matInput placeholder="Agência" formControlName="bankBranch">
                <mat-error *ngIf="supplierForm.get('bankBranch').hasError('required')">
                  Por favor, informe a Agência
                </mat-error>
              </mat-form-field>

              <mat-form-field fxFlex="25">
                <input matInput placeholder="Conta Corrente" formControlName="bankAccount">
                <mat-error *ngIf="supplierForm.get('bankAccount').hasError('required')">
                  Por favor, informe a Conta Corrente
                </mat-error>
              </mat-form-field>              

            </div>

            <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                <mat-form-field fxFlex="50">
                  <input matInput placeholder="Merchant ID" formControlName="merchantId">
                  <mat-error *ngIf="supplierForm.get('merchantId').hasError('required')">
                    Por favor, informe o Merchant Id
                  </mat-error>
                </mat-form-field>

                <mat-form-field fxFlex="50">
                  <input matInput placeholder="Merchant Key" formControlName="merchantKey">
                  <mat-error *ngIf="supplierForm.get('merchantKey').hasError('required')">
                    Por favor, informe o Merchant Key
                  </mat-error>
                </mat-form-field>
            </div>

          </div>
          <!-- end panel content -->

      </div>
      <!-- end panel -->            

        <mat-dialog-actions position="end">
          <button mat-raised-button color="warn" mat-dialog-close>Cancelar</button>
          <button mat-raised-button [disabled]="supplierForm.invalid" color="primary">Salvar</button>
        </mat-dialog-actions>
    </form>


  </mat-dialog-content>


